Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Module_Type Class Reference

Define the methods for handling the configuration of <ACE_Modules>. More...

`#include <Service_Types.h>`

Inheritance diagram for ACE_Module_Type:

[legend]
Collaboration diagram for ACE_Module_Type:

[legend]
List of all members.

## Public Methods
| ACE_Module_Type (void *m, const ACE_TCHAR *identifier, u_int flags=0)
| ~ACE_Module_Type (void)
virtual int | suspend (void) const
virtual int | resume (void) const
virtual int | init (int argc, ACE_TCHAR *argv[]) const
virtual int | fini (void) const
virtual int | info (ACE_TCHAR **str, size_t len) const
ACE_Module_Type * | link (void) const
void | link (ACE_Module_Type *)
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Private Attributes
ACE_Module_Type * | link_
| Pointer to the next <ACE_Module_Type> in an <ACE_Stream_Type>. More...

## Detailed Description

Define the methods for handling the configuration of <ACE_Modules>.

## Constructor & Destructor Documentation

ACE_Module_Type::ACE_Module_Type | ( | void * | m,
|  | const ACE_TCHAR * | m_name,
|  | u_int | f = 0
| ) |

ACE_INLINE ACE_Module_Type::~ACE_Module_Type | ( | void |  | ) |

## Member Function Documentation

void ACE_Module_Type::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Service_Type_Impl.

int ACE_Module_Type::fini | ( | void |  | ) | const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

int ACE_Module_Type::info | ( | ACE_TCHAR ** | str,
|  | size_t | len
| ) | const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

int ACE_Module_Type::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

void ACE_Module_Type::link | ( | ACE_Module_Type * | n | ) |

ACE_Module_Type * ACE_Module_Type::link | ( | void |  | ) | const

int ACE_Module_Type::resume | ( | void |  | ) | const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

int ACE_Module_Type::suspend | ( | void |  | ) | const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

## Member Data Documentation

ACE_Module_Type::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Service_Type_Impl.

ACE_Module_Type* ACE_Module_Type::link_`[private]`

| Pointer to the next <ACE_Module_Type> in an <ACE_Stream_Type>.

The documentation for this class was generated from the following files:

- Service_Types.h
- Service_Types.cpp
- Service_Types.i